<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>計算機実習 140523加筆 &mdash; 計算機実習2014</title>
    
    <link rel="stylesheet" href="_static/default.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/translations.js"></script>
    <link rel="author" title="このドキュメントについて" href="about.html" />
    <link rel="top" title="計算機実習2014" href="index.html" />
    <link rel="prev" title="実験レポートについて" href="about.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="about.html" title="実験レポートについて"
             accesskey="P">前へ</a> |</li>
        <li><a href="index.html">計算機実習2014</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="id1">
<h1>計算機実習      140523加筆<a class="headerlink" href="#id1" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="id2">
<h2>1.<a class="headerlink" href="#id2" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul>
<li><p class="first">やること
- C++
- 数値計算</p>
<blockquote>
<div><ul class="simple">
<li>解析</li>
<li>シミュレーション</li>
</ul>
</div></blockquote>
</li>
<li><p class="first">目標
- 自立して計算できる
- 言語</p>
<blockquote>
<div><ul class="simple">
<li>Ｃ＋＋<ul>
<li>主に利用</li>
<li>制限するものではない</li>
</ul>
</li>
<li>自らに合ったもの<ul>
<li>最終的</li>
</ul>
</li>
</ul>
</div></blockquote>
</li>
<li><p class="first">準備
- MinGW</p>
<blockquote>
<div><ul class="simple">
<li>C++ コンパイラ</li>
<li>研究室HP<ul>
<li>計算機実習<ul>
<li>Ｃ＋＋コンパイラをWindows マシンにインストールする</li>
<li>ダウンロード<ul>
<li>Installer<ul>
<li>mingw-get-inst<ul>
<li>mingw-get-inst-20111118<ul>
<li>mingw-get-inst-20111118.exe</li>
<li>gcc : 4.6.*<ul>
<li>HML</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li><a class="reference external" href="http://sourceforge.net/projects/mingw/files/">http://sourceforge.net/projects/mingw/files/</a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference external" href="http://192.168.1.27/">http://192.168.1.27/</a><ul>
<li>ID: yamazakiken</li>
<li>PW: plathome</li>
</ul>
</li>
</ul>
</div></blockquote>
<ul class="simple">
<li>HML<ul>
<li>グラフィックライブラリ</li>
<li>gcc<ul>
<li>MinGW<ul>
<li>20111118?</li>
</ul>
</li>
<li>C complier<ul>
<li>注意<ul>
<li>version<ul>
<li>4.6.*</li>
<li>4.7.*</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li>グラフ作成<ul>
<li>gnuplot</li>
<li>sma4win</li>
</ul>
</li>
<li>pdf<ul>
<li>Cube PDF<ul>
<li><a class="reference external" href="http://www.cube-soft.jp/cubepdf/">http://www.cube-soft.jp/cubepdf/</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="section" id="id3">
<h2>2.<a class="headerlink" href="#id3" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li>計算物理学入門<ul>
<li>非線形<ul>
<li>線形と非線形<ul>
<li>５章(2013)<ul>
<li>ニュートンの運動方程式を解く<ul>
<li>数値解<ul>
<li>方法<ul>
<li>オイラー法<ul>
<li>１次</li>
</ul>
</li>
<li>オーラ－－リチャードソン法<ul>
<li>２次のルンゲクッタ法</li>
</ul>
</li>
<li>ベルレ法<ul>
<li>３次<ul>
<li>位置</li>
</ul>
</li>
<li>２次<ul>
<li>速度</li>
</ul>
</li>
<li>陽的な中心差分</li>
</ul>
</li>
<li>４次のルンゲクッタ法<ul>
<li>よく使われる方法</li>
</ul>
</li>
</ul>
</li>
<li>安定性<ul>
<li>誤差<ul>
<li>次数</li>
</ul>
</li>
</ul>
</li>
<li>あらゆる条件で他より優れている唯一のアルゴリズムはない。通常は１つのアルゴリズムでまず計算を行い、つぎに高次のアルゴリズムを試みて、その計算が改善されるかどうかを調べるのがよい</li>
</ul>
</li>
</ul>
</li>
<li>振動系<ul>
<li>保存系<ul>
<li>調和振動子<ul>
<li>５．１</li>
<li>５．２</li>
</ul>
</li>
<li>単振り子<ul>
<li>５．３</li>
</ul>
</li>
</ul>
</li>
<li>非保存系<ul>
<li>散逸系<ul>
<li>５．５<ul>
<li>減衰振動</li>
</ul>
</li>
<li>５．８<ul>
<li>化学反応系</li>
</ul>
</li>
</ul>
</li>
<li>５．６<ul>
<li>強制振動</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li>skip<ul>
<li>５．４</li>
<li>５．７</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li>カオス<ul>
<li>６章(2014)<ul>
<li>ロジスティック写像<ul>
<li>６．１<ul>
<li>周期倍加</li>
<li>a ～ f</li>
</ul>
</li>
<li>６．２<ul>
<li>定性的な特徴</li>
<li>図６．２の再現</li>
</ul>
</li>
<li>６．６<ul>
<li>ファイゲンバウム定数</li>
<li>a のみ</li>
</ul>
</li>
</ul>
</li>
<li>６．８<ul>
<li>その他のモデル</li>
</ul>
</li>
<li>６．９<ul>
<li>リアプノフ数</li>
<li>a, b</li>
</ul>
</li>
<li>エノン写像<ul>
<li>６．１２</li>
<li>a, c</li>
</ul>
</li>
<li>ローレンツモデル<ul>
<li>６．１３</li>
<li>a, b</li>
</ul>
</li>
<li>外力を受けた減衰単振り子<ul>
<li>６．１４</li>
<li>a, b</li>
<li>ポアンカレ・プロット</li>
</ul>
</li>
<li>ハミルトン系カオス<ul>
<li>標準写像
- ６．１６
- a
- k を変えたときの挙動を調べる。特に、位相空間内の軌道の変化に着目</li>
<li>土星の輪のモデル<ul>
<li>６．１７</li>
<li>a</li>
<li>余裕があれば、b,c</li>
</ul>
</li>
<li>２重振り子<ul>
<li>６．１８</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li>確率過程<ul>
<li>乱数<ul>
<li>rand, srand<ul>
<li>C</li>
</ul>
</li>
<li>MT<ul>
<li><a class="reference external" href="http://www.math.sci.hiroshima-u.ac.jp/~m-mat/MT/mt.html">http://www.math.sci.hiroshima-u.ac.jp/~m-mat/MT/mt.html</a></li>
<li>メルセンヌ‐ツイスター法</li>
</ul>
</li>
</ul>
</li>
<li>ランダム過程<ul>
<li>７章(2013)<ul>
<li>７．１<ul>
<li>平衡状態<ul>
<li>問題７．１</li>
<li>問題７．２</li>
</ul>
</li>
</ul>
</li>
<li>７．２<ul>
<li>ポアソン過程<ul>
<li>原子核崩壊</li>
<li>問題７．５</li>
</ul>
</li>
</ul>
</li>
<li>７．３<ul>
<li>ランダムウォーク<ul>
<li>拡散方程式<ul>
<li>付録</li>
</ul>
</li>
<li>問題７．６<ul>
<li>a,b,c,d,e</li>
</ul>
</li>
<li>問題７．７</li>
</ul>
</li>
</ul>
</li>
<li>７．４<ul>
<li>確率の問題</li>
</ul>
</li>
<li>７．５<ul>
<li>最小二乗法<ul>
<li>問題７．１４<ul>
<li>ｂ</li>
</ul>
</li>
<li>データフィッティング<ul>
<li>gnuplot</li>
<li>excel</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li>７．６<ul>
<li>変分モンテカルロ法<ul>
<li>屈折<ul>
<li>問題７．１５</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li>ランダムウォーク<ul>
<li>１２章(2014)<ul>
<li>ランダムウォーク<ul>
<li>１２．１<ul>
<li>a</li>
<li>b</li>
<li>１次元ＲＷ</li>
</ul>
</li>
<li>１２．２<ul>
<li>a</li>
<li>b</li>
<li>２次元ＲＷ</li>
</ul>
</li>
<li>１２．３<ul>
<li>a</li>
<li>b</li>
<li>c</li>
</ul>
</li>
</ul>
</li>
<li>変形されたＲＷ<ul>
<li>１２．４<ul>
<li>a</li>
<li>b<ul>
<li>自己アフィン</li>
</ul>
</li>
<li>履歴のあるＲＷ</li>
</ul>
</li>
<li>１２．５<ul>
<li>a</li>
<li>b</li>
<li>c</li>
<li>制限されたＲＷ</li>
</ul>
</li>
</ul>
</li>
<li>高分子への応用<ul>
<li>１２．１２<ul>
<li>a</li>
<li>b</li>
<li>自己排他的</li>
</ul>
</li>
</ul>
</li>
<li>化学反応系での拡散<ul>
<li>１２．１６<ul>
<li>a</li>
<li>化学反応による消滅</li>
</ul>
</li>
</ul>
</li>
<li>連続体極限</li>
<li>乱数列</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li>相転移<ul>
<li>臨界現象<ul>
<li>ユニバーサリティ</li>
</ul>
</li>
<li>パーコレーション<ul>
<li>１３章(2013)<ul>
<li>サイトパーコレーション<ul>
<li>格子<ul>
<li>正方格子<ul>
<li>問題１３．１<ul>
<li>a</li>
<li>b<ul>
<li>システムサイズを大きくすると精度がよくなることを確認</li>
</ul>
</li>
<li>各pに対して、１０個の平均</li>
</ul>
</li>
<li>問題１３．５<ul>
<li>クラスタの統計的性質</li>
</ul>
</li>
<li>問題１３．６<ul>
<li>クラスタのラベル付け</li>
</ul>
</li>
<li>問題１３．９<ul>
<li>a</li>
<li>b</li>
</ul>
</li>
</ul>
</li>
<li>三角格子<ul>
<li>問題１３．２</li>
</ul>
</li>
</ul>
</li>
<li>連続体</li>
</ul>
</li>
<li>ボンドパーコレーション<ul>
<li>正方格子<ul>
<li>問題１３．３</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li>参考文献<ul>
<li>パーコレーションの科学 / 小田垣孝 著</li>
<li>パーコレーションの基本原理 / D.スタウファー,A.アハロニー 著</li>
</ul>
</li>
</ul>
</li>
<li>モンテカルロ法<ul>
<li>１６章</li>
<li>１７章</li>
</ul>
</li>
</ul>
</li>
<li>複雑系<ul>
<li>フラクタル<ul>
<li>１４章</li>
<li>フラクタル次元<ul>
<li>ImageJの話</li>
<li><a class="reference external" href="http://rsbweb.nih.gov/ij/">http://rsbweb.nih.gov/ij/</a></li>
</ul>
</li>
</ul>
</li>
<li>１５章<ul>
<li>いくつかの例</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">計算機実習      140523加筆</a><ul>
<li><a class="reference internal" href="#id2">1.</a></li>
<li><a class="reference internal" href="#id3">2.</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="about.html"
                        title="前の章へ">実験レポートについて</a></p>
  <h3>このページ</h3>
  <ul class="this-page-menu">
    <li><a href="_sources/140523.txt"
           rel="nofollow">ソースコードを表示</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>クイック検索</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="検索" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    モジュール、クラス、または関数名を入力してください
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="about.html" title="実験レポートについて"
             >前へ</a> |</li>
        <li><a href="index.html">計算機実習2014</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      このドキュメントは <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2 で生成しました。
    </div>
  </body>
</html>